Package jaxe

# Class ImageKeeper

java.lang.Object
jaxe.ImageKeeper

public class ImageKeeper extends Object
Image loader and cache

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Map<String,Image>`
`_images`
Map with images

## Method Summary

Modifier and Type
Method
Description
`static void`
`flushImages()`
`protected Image`
`load(Class point, String file, boolean notNull)`
Loads an image from a class or returns a cached image from the map
`protected Image`
`load(String file, boolean notNull)`
Loads an image
`static Image`
`loadImage(Class point, String file)`
Loads an image from a specific class
`static Image`
`loadImage(Class point, String file, boolean notNull)`
Loads an image from a specific class
`static Image`
`loadImage(String file)`
Loads an image
`static Image`
`loadImage(String file, boolean notNull)`
Loads an image
`protected void`
`remove(String file)`
Removes an image from the map
`static void`
`removeImage(String file)`
Removes an image out of the cache

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### _images

protected Map<String,Image> _images
Map with images

## Method Details

### loadImage

public static Image loadImage(String file)
Loads an image

Parameters:
  `file` - Path/filename
Returns:
  Image or `null`

### loadImage

public static Image loadImage(String file, boolean notNull)
Loads an image

Parameters:
  `file` - Path/filename
Returns:
  Image or `null`

### loadImage

public static Image loadImage(Class point, String file)
Loads an image from a specific class

Parameters:
  `point` - Class to load from
  `file` - Path/filename
Returns:
  Image or `null`

### loadImage

public static Image loadImage(Class point, String file, boolean notNull)
Loads an image from a specific class

Parameters:
  `point` - Class to load from
  `file` - Path/filename
Returns:
  Image or `null`

### removeImage

public static void removeImage(String file)
Removes an image out of the cache

Parameters:
  `file` - Path/filename

### flushImages

public static void flushImages()

### load

protected Image load(String file, boolean notNull)
Loads an image

Parameters:
  `file` - Path/filename
  `notNull` - Flag to return a dummy image if image could not be loaded
Returns:
  Image or `null`

### load

protected Image load(Class point, String file, boolean notNull)
Loads an image from a class or returns a cached image from the map

Parameters:
  `point` - Point to load from
  `file` - Path/filename
  `notNull` - Flag to return a dummy image if image could not be loaded
Returns:
  Image or `null`

### remove

protected void remove(String file)
Removes an image from the map

Parameters:
  `file` - Pfad/Dateiname